# Generated by Django 2.2.7 on 2020-01-03 16:30


from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='rating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rating', models.IntegerField()),
                ('comment', models.CharField(max_length=1000)),
            ],
        ),
        migrations.CreateModel(
            name='rentOffer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('currentLocationLatitude', models.DecimalField(decimal_places=5, max_digits=7)),
                ('currentLocationLongitude', models.DecimalField(decimal_places=5, max_digits=7)),
                ('returnLocationLatitude', models.DecimalField(decimal_places=5, max_digits=7)),
                ('returnLocationLongitude', models.DecimalField(decimal_places=5, max_digits=7)),
                ('returnTime', models.DateTimeField()),
                ('priceKm', models.DecimalField(decimal_places=2, max_digits=10)),
                ('returnPenalty', models.DecimalField(decimal_places=2, max_digits=10)),
            ],
        ),
        migrations.CreateModel(
            name='user',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=30)),
                ('surname', models.CharField(max_length=30)),
                ('nickname', models.CharField(max_length=30)),
                ('creditCardNumber', models.CharField(max_length=30)),
                ('email', models.CharField(max_length=30)),
                ('password', models.CharField(max_length=30)),
                ('idURL', models.CharField(max_length=200, null=True)),
                ('recordURL', models.CharField(max_length=200, null=True)),
                ('isActive', models.BooleanField(null=True)),
                ('isClient', models.BooleanField(default=False)),
                ('isRenter', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('distanceCovered', models.DecimalField(decimal_places=2, max_digits=5)),
                ('price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('pentalty', models.BooleanField()),
                ('time', models.DateTimeField(auto_now_add=True)),
                ('ratingId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.rating')),
                ('rentOfferId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.rentOffer')),
            ],
        ),
        migrations.CreateModel(
            name='showUserData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('showName', models.BooleanField(default=True)),
                ('showSurname', models.BooleanField(default=True)),
                ('showNickname', models.BooleanField(default=True)),
                ('showEmail', models.BooleanField(default=True)),
                ('userId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.user')),
            ],
        ),
        migrations.CreateModel(
            name='scooter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.CharField(max_length=1000)),
                ('isAvailable', models.BooleanField()),
                ('renterId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.user')),
            ],
        ),
        migrations.CreateModel(
            name='reportPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cause', models.CharField(max_length=1000)),
                ('isAccepted', models.BooleanField(default=None, null=True)),
                ('isAcceptedByAdmin', models.BooleanField(default=None, null=True)),
                ('rentOfferId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.rentOffer')),
            ],
        ),
        migrations.AddField(
            model_name='rentoffer',
            name='clientId',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='container.user'),
        ),
        migrations.AddField(
            model_name='rentoffer',
            name='scooterId',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.scooter'),
        ),
        migrations.AddField(
            model_name='rating',
            name='clientId',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='client', to='container.user'),
        ),
        migrations.AddField(
            model_name='rating',
            name='renterId',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='renter', to='container.user'),
        ),
        migrations.CreateModel(
            name='chat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('clientId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='clientId', to='container.user')),
                ('rentOfferId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.rentOffer')),
                ('renterId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='renterId', to='container.user')),
            ],
        ),
        migrations.CreateModel(
            name='scooterPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('imgURL', models.CharField(max_length=200)),
                ('scooterId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.scooter')),
            ],
            options={
                'unique_together': {('scooterId', 'imgURL')},
            },
        ),
        migrations.CreateModel(
            name='reportedPhotoRemove',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('oldPhotoULR', models.CharField(max_length=200)),
                ('reportPhotoId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.reportPhoto')),
            ],
            options={
                'unique_together': {('reportPhotoId', 'oldPhotoULR')},
            },
        ),
        migrations.CreateModel(
            name='reportedPhotoAdd',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('newPhotoULR', models.CharField(max_length=200)),
                ('reportPhotoId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.reportPhoto')),
            ],
            options={
                'unique_together': {('reportPhotoId', 'newPhotoULR')},
            },
        ),
        migrations.CreateModel(
            name='message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('messageNumber', models.IntegerField()),
                ('text', models.CharField(max_length=1000)),
                ('time', models.DateTimeField(auto_now_add=True)),
                ('acceptedRequest', models.BooleanField(default=None, null=True)),
                ('chatId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='container.chat')),
            ],
            options={
                'unique_together': {('chatId', 'messageNumber')},
            },
        ),
    ]
